Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | Protected Attributes | List of all members
eZ\Publish\Core\IO\Values\BinaryFile Class Reference
Inheritance diagram for eZ\Publish\Core\IO\Values\BinaryFile:

## Public Attributes
| $mimeType

## Protected Attributes
| $id
| $size
| $mtime
| $uri

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 21 of file Core/IO/Values/BinaryFile.php.

## Member Data Documentation

## ◆ $id

eZ\Publish\Core\IO\Values\BinaryFile::$id
| protected

Definition at line 29 of file Core/IO/Values/BinaryFile.php.

## ◆ $mimeType

eZ\Publish\Core\IO\Values\BinaryFile::$mimeType

Definition at line 61 of file Core/IO/Values/BinaryFile.php.

## ◆ $mtime

eZ\Publish\Core\IO\Values\BinaryFile::$mtime
| protected

Definition at line 43 of file Core/IO/Values/BinaryFile.php.

## ◆ $size

eZ\Publish\Core\IO\Values\BinaryFile::$size
| protected

Definition at line 36 of file Core/IO/Values/BinaryFile.php.

## ◆ $uri

eZ\Publish\Core\IO\Values\BinaryFile::$uri
| protected

Definition at line 50 of file Core/IO/Values/BinaryFile.php.

The documentation for this class was generated from the following file:

- Core/IO/Values/BinaryFile.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.